#!/bin/sh
#!/bin/bash
# simple Bash Menu Script by jackluke


printf '\e[96m;%s\a' "$color"

printf "$'\e[40m'APFS Recovery fix by jackluke"

printf "\n\n\n"

clear && printf '\e[3J'
echo "Welcome to the APFS Recovery safe and harmless fix"
echo "\nAPFS Recovery fix can't be executed as standard user if you want to suspend the script just press CTRL+Z"
echo "\nto apply this fix your current account password is required\notherwise the script can't process\n"
echo "\nSetting nvram parameter to enforce compatibility check"
sudo nvram boot-args="-no_compat_check"
echo "Done"
echo "\nDetecting and adjusting APFS Recovery"
diskutil mount Recovery
cd /Volumes/Recovery/*/
echo "\nPlease re-type password when required\n"
sudo mv PlatformSupport.plist PlatformSupportBackup.plist
sudo cp -a /System/Library/PrelinkedKernels/prelinkedkernel /Volumes/Recovery/*/immutablekernel
echo "\nPlease re-type password when required\n"
sudo perl -i -pe 's/BaseSystem.dmg/BaseSystem.dmg -no_compat_check/' /Volumes/Recovery/*/com.apple.Boot.plist
echo "Done"
echo "\nAfter decide to reboot hold CMD+R and APFS Recovery should be there\n"